Skip to main content
GET
/
webhooks
curl -X GET https://api.dataforb2b.ai/webhooks/ \
  -H "api_key: YOUR_api_key"
{
  "id": 1,
  "url": "https://your-server.com/webhook",
  "event_types": ["company_changed", "position_changed", "position_ended", "new_company", "open_to_work_changed", "hiring_changed"],
  "active": true,
  "created_at": "2026-03-30T18:00:00.000000",
  "monitored_profiles": [
    {
      "profile_url": "https://www.linkedin.com/in/john-doe",
      "first_name": "John",
      "last_name": "Doe"
    },
    {
      "profile_url": "https://www.linkedin.com/in/jane-smith",
      "first_name": "Jane",
      "last_name": "Smith"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dataforb2b.ai/llms.txt

Use this file to discover all available pages before exploring further.

Response

id
number
Subscription ID
url
string
Webhook delivery URL
event_types
array
Subscribed event types
active
boolean
Whether the subscription is active
created_at
string
ISO 8601 timestamp
monitored_profiles
array
List of profiles currently monitored by this subscription
curl -X GET https://api.dataforb2b.ai/webhooks/ \
  -H "api_key: YOUR_api_key"
{
  "id": 1,
  "url": "https://your-server.com/webhook",
  "event_types": ["company_changed", "position_changed", "position_ended", "new_company", "open_to_work_changed", "hiring_changed"],
  "active": true,
  "created_at": "2026-03-30T18:00:00.000000",
  "monitored_profiles": [
    {
      "profile_url": "https://www.linkedin.com/in/john-doe",
      "first_name": "John",
      "last_name": "Doe"
    },
    {
      "profile_url": "https://www.linkedin.com/in/jane-smith",
      "first_name": "Jane",
      "last_name": "Smith"
    }
  ]
}